Skip to main content
`Ctrl`+`K`

# BVGetSignature

Retrieves the signature matrix from last orthogonalization.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetSignature(BV bv,Vec omega)

Not Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- omega - a vector representing the diagonal of the signature matrix

## Note

The signature matrix \(\Omega = V^*B V\) is relevant only for an indefinite \(B\).

## See Also

BV: Basis Vectors, `BVSetMatrix()`, `BVSetSignature()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages